#ifndef EMU_CPU_HUMAN_H
#define EMU_CPU_HUMAN_H

char CpuRegistersHumanReadable[9][4] =
{
    "R0",
    "R1",
    "R2",
    "R3",
    "R4",
    "ACU",
    "PC",
    "SP"
};

char ArgumentInfoHumanReadable[4][21] =
{
    "Value",
    "Value in register",
    "Value in ram",
    "Pointer in register"
};

char CpuInstructionsHumanReadable[25][4] =
{
    "HLT",
    "ADD",
    "SUB",
    "MUL",
    "DIV",
    "LBS",
    "RBS",
    "BAN",
    "BOR",
    "BXO",
    "BNO",
    "PUS",
    "POP",
    "JMP",
    "JEQ",
    "JNZ",
    "CAL",
    "RET",
    "REG",
    "INT",
    "INP",
    "OUT",
    "DIN",
    "DOT",
    "MOV"
};

#endif